# MentorSseEndpoint.ChatRequest record

> The MentorSseEndpoint.ChatRequest record of Novior.MentorAgent.Server.Endpoints: Request body of POST /mentor/chat.

- URL: https://docs.mentoragent.net/api/novior-mentoragent-server-endpoints/mentorsseendpoint-chatrequest
- Verified with: MentorAgent 1.2.0
- Last updated: 2026-10-27
- Packages: Novior.MentorAgent.Server

Request body of `POST /mentor/chat`.

## Definition

Namespace: `Novior.MentorAgent.Server.Endpoints`. Package: `Novior.MentorAgent.Server`.

`public sealed record MentorSseEndpoint.ChatRequest : IEquatable<MentorSseEndpoint.ChatRequest>`

```shell
dotnet add package Novior.MentorAgent.Server
```

## Constructors

`public ChatRequest(string Message, IReadOnlyList<MentorAttachment>? Attachments = null)`

Request body of `POST /mentor/chat`.

## Properties

### `Attachments`

`public IReadOnlyList<MentorAttachment>? Attachments { get; init; }`

### `Language`

`public string? Language { get; init; }`

The language of the turn: the name (`"Italian"`) or the ISO code (`"it"`) of a `MentorLanguage`, in any case. Anything else, or none, is `MentorOptions.Language`.

### `Message`

`public string Message { get; init; }`

---

- Previous: [MentorSseEndpoint class](https://docs.mentoragent.net/api/novior-mentoragent-server-endpoints/mentorsseendpoint.md)
- Next: [ServerEndpointExtensions class](https://docs.mentoragent.net/api/novior-mentoragent-server-extensions/serverendpointextensions.md)
